#!/bin/sh
##
##  tmux-session -- simple tmux(1) multi-user session establishment
##  Copyright (c) 2015-2019 Ralf S. Engelschall <rse@engelschall.com>
##  Licensed under MIT License
##

#   determine session name
if [ $# -ge 1 ]; then
    session="$1"
    shift
else
    session=default
fi

#   pass-through execution to tmux(1)
exec @l_prefix@/bin/tmux \
    new-session -A -s "$session" \
    "$@"

=pod

=head1 NAME

B<tmux-session> -- easy tmux(1) multi-user session establishment

=head1 SYNOPSIS

B<tmux-session> [I<session-name>]

=head1 DESCRIPTION

B<tmux-session> is a trivial wrapper for tmux(1) for establishing
a multi-user session. The idea is that multiple people log into the
same Unix account and all run C<tmux-session> to connect to each other.

=cut

